/*
 * abslist.C
 *
 * abstract Motif selection list
 *
 * Vincent Mallet 1997, 1999
 */

// $Id: abslist.C,v 1.2 1999/04/20 21:39:07 vmallet Exp $

/* ViMmail - a small mail reader
 * Copyright (C) 1997, 1999 Vincent Mallet - vmallet@enst.fr
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifdef HAVE_CONFIG_H
# include <config.h>
#endif

#include <X11/cursorfont.h>

#include <Xm/Xm.h>
#include <Xm/List.h>
#include <Xm/ScrollBar.h>

#include <stdio.h>

#include "motifutil.H"
#include "abslist.H"


// add an entry to the list
void AbsList:: add_entry(char *name)
{
  XmListAddItem(widget, XmStringCreateLtoR(name, XmSTRING_DEFAULT_CHARSET), 0);
}


// positionne le curseur sur l'entree 'index',
// et repositionne la liste pour le rendre visible
// (si necessaire)
void AbsList:: set_current(int index)
{
  int top, visible;

  index++; // we count from 1 to n (not from 0 to n-1)

  XtVaGetValues(widget, XmNtopItemPosition, &top,
		        XmNvisibleItemCount, &visible,
		NULL);

  if (index < top)
    XmListSetPos(widget, index);
  else if (index > top + visible)
    XmListSetBottomPos(widget, index);

  XmListSelectPos(widget, index, False);
}


// Remove all entries from list
void AbsList:: clear(void)
{
  XmListDeleteAllItems(widget);
}


// Change the cursor shape of this list
void AbsList:: nice_cursor(int shape)
{
  :: nice_cursor(widget, shape);
}






