/*
 * interface.H
 *
 * The Motif interface for the Application
 *
 * Vincent Mallet 1997, 1999
 */

// $Id: interface.H,v 1.2 1999/04/20 21:58:45 vmallet Exp $

/* ViMmail - a small mail reader
 * Copyright (C) 1997, 1999 Vincent Mallet - vmallet@enst.fr
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


#ifndef __H_INTERFACE__
#define __H_INTERFACE__

#include <Xm/MainW.h>

#include "eyes.H"
#include "filelist.H"
#include "fileselect.H"
#include "horzpane.H"
#include "mailarea.H"
#include "menus.H"
#include "msglist.H"
#include "popup.H"
#include "toolbar.H"


class Interface {
public:
  Widget          toplevel;        // The "xbiff"-like button
  Widget          real_toplevel;   // the real window (workwindow)
  Widget          main_window;
  char          * prog_name;
  XtAppContext    context;
  Display       * display;

  Pixmap          icon_full, icon_empty;

  int             not_configured;
  int             popped;

  About           about;
  Eyes            eyes;
  HorzPane        horzpane;
  Menus           menus;
  FileSelect      fileselect;
  FileList        filelist;
  MsgList         msglist;
  ToolBar         toolbar;
  MailArea        mailarea;
  Popup           mailpopup;



  Interface(void);                    // Constructor
  void make(int argc, char **argv);   // Actually create this interface

  void reconfigure(void);

  void popup(void);
  void popdown(void);



  void set_empty(void);
  void set_full(void);

  void run_till_death(void);


private:
  Widget          togglebutton;

  int             current_icon;

  static void EventHandler(Widget w, XtPointer client_data, XEvent *event, char *z);
  static void pop_handler(Widget w, XtPointer client_data, XtPointer cbs);

  void configure(void);

}; // class Interface





#endif // __H_INTERFACE__





