/*
 * message.C
 * 
 * A message in the application
 *
 * Vincent Mallet 1997, 1999
 */

// $Id: message.H,v 1.2 1999/04/20 21:56:20 vmallet Exp $

/* ViMmail - a small mail reader
 * Copyright (C) 1997, 1999 Vincent Mallet - vmallet@enst.fr
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __H_MESSAGE__
#define __H_MESSAGE__


#include "message_file.H"

class Message
{
public:
  Message(Message_File * which_file, long which_pos, int which_number,
	  char *header_from, char *header_to, char *header_subj, int header_nblines, long msg_size);
  
  ~Message();

  void display_header(void);
  void display_core(void);
  char * header_toString(void);
  char * core_toString(void);

private:
  Message_File * file;
  long pos;
  long size;
  
  char *h_from;
  char *h_subj;
  char *h_date;
  
  int number;
  
  int nblines;
  
}; // class Message



#endif // __H_MESSAGE__

