/*
 * popup.C
 *
 * The popup menu for the message_area.
 *
 * Vincent Mallet 1997, 1999
 */

// $Id: popup.C,v 1.2 1999/04/20 21:37:39 vmallet Exp $

/* ViMmail - a small mail reader
 * Copyright (C) 1997, 1999 Vincent Mallet - vmallet@enst.fr
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifdef HAVE_CONFIG_H
# include <config.h>
#endif

#include <Xm/Label.h>
#include <Xm/PushB.h>
#include <Xm/RowColumn.h>
#include <Xm/Separator.h>

#include <stdio.h>

#include "application.H"
#include "vimmail.H"

#include "popup.H"


enum { 
  ItemReply,
  ItemSave,
  ItemPrint,
  ItemRescan,
  ItemRescanAll
};

// Initialize this popup object
void Popup:: make(Widget _parent)
{
  parent = _parent;
  XmString  title;

  title = XmStringCreateLtoR("Actions", XmSTRING_DEFAULT_CHARSET);

  widget = XmVaCreateSimplePopupMenu(parent, "TextPopup", popup_handler,
				     XmVaTITLE, title,
				     XmVaSEPARATOR,
				     XmVaPUSHBUTTON, NULL, 0, NULL, NULL,
				     XmVaSEPARATOR,
				     XmVaPUSHBUTTON, NULL, 0, NULL, NULL,
				     XmVaPUSHBUTTON, NULL, 0, NULL, NULL,
				     XmVaSEPARATOR,
				     XmVaPUSHBUTTON, NULL, 0, NULL, NULL,
				     XmVaPUSHBUTTON, NULL, 0, NULL, NULL,
				     NULL);

/*

  
  
  widget = XmCreatePopupMenu (parent, "TextPopup", NULL, 0);
  XtVaCreateManagedWidget ("Label", xmLabelWidgetClass, widget, NULL);
  XtVaCreateManagedWidget ("Sep1", xmSeparatorWidgetClass, widget, NULL);
  XtVaCreateManagedWidget ("b1", xmPushButtonWidgetClass, widget, NULL);
  XtVaCreateManagedWidget ("Sep2", xmSeparatorWidgetClass, widget, NULL);
  XtVaCreateManagedWidget ("b2", xmPushButtonWidgetClass, widget, NULL);
  XtVaCreateManagedWidget ("b3", xmPushButtonWidgetClass, widget, NULL);
  XtVaCreateManagedWidget ("Sep3", xmSeparatorWidgetClass, widget, NULL);
  XtVaCreateManagedWidget ("b4", xmPushButtonWidgetClass, widget, NULL);
  XtVaCreateManagedWidget ("b5", xmPushButtonWidgetClass, widget, NULL);
*/
}


// popup callback
void Popup:: popup_cb(Widget w, XtPointer client_data, XtPointer cbs)
{
  Popup * mythis = (Popup *) client_data;
  XButtonPressedEvent *bevent = (XButtonPressedEvent *) cbs;
  
  w = w;

  XmMenuPosition(mythis->widget, bevent);
  XtManageChild(mythis->widget);
}

// popup handler (handles actions on menu)
void Popup:: popup_handler(Widget w, XtPointer client_data, XtPointer cbs)
{
  w = w; cbs = cbs; 

  switch((int) client_data) {
  case ItemReply:
    break;

  case ItemSave:
    vimmail.save_message();
    break;

  case ItemPrint:
    vimmail.print_message();
    break;
 
  case ItemRescan:
    vimmail.rescan_message_file();
    break;

  case ItemRescanAll:
    vimmail.rescan_all_message_files();
    break;
  }
}


